Bug 579463

Summary: [abrt] crash [@ nsPluginInstancePeerImpl::GetJSContext]
Product: [Fedora] Fedora Reporter: f.wolfheimer
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: andresbuehlmann, campbecg, fedora.ramana, gecko-bugs-nobody, ginosas, junk, jyundt, khundaray, klemmerj, mrbatwood, py, supersonic00
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:f23139ee710351ae0c342e53fbd2d2ba934152b5
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 16:19:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace none

Description f.wolfheimer 2010-04-05 10:52:28 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.9/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.9/firefox
kernel: 2.6.32.10-90.fc12.x86_64
package: firefox-3.5.9-1.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5.9/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Go to http://route.web.de/ using firefox
2. Enter start and destination
3. on the next page use the mouse wheel or click on reload.
4. seems as if the applet showing the map causes the crash...

Comment 1 f.wolfheimer 2010-04-05 10:52:32 UTC
Created attachment 404476 [details]
File: backtrace

Comment 2 Chris Campbell 2010-04-05 21:21:41 UTC
#2  <signal handler called>
No symbol table info available.
#3  nsPluginInstancePeerImpl::GetJSContext (this=0x7f8f3cafc420, outContext=
    0x7fffacca3b68) at nsPluginInstancePeer.cpp:807
        rv = 2147500037
        document = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#4  0x0000003eff03369c in map_jsj_thread_to_js_context_impl (
    jsj_env=<value optimized out>, java_applet_obj=<value optimized out>, 
    env=<value optimized out>, errp=<value optimized out>) at lcglue.cpp:138
        pluginPeer2 = 0x7f8f3cafc420
        pluginInstance = <value optimized out>
        pluginPeer = 0x7f8f3cafc420
        context = 0x0
#5  0x0000003eff10c4a5 in jsj_enter_js (jEnv=0x7f8f39fda8e0, applet_obj=
    0x7f8f37805c50, java_wrapper_obj=<value optimized out>, cxp=
    0x7fffacca3d00, js_objp=<value optimized out>, old_error_reporterp=
    0x7fffacca3cf0, pNSIPrincipaArray=0x0, numPrincipals=0, 
    pNSISecurityContext=0x0) at jsj_JSObject.c:754
        cx = <value optimized out>
        err_msg = 0x0
        js_obj = <value optimized out>
        jsj_env = 0x7f8f2a91b8c0
#6  0x0000003eff11594e in nsCLiveconnect::Eval (this=<value optimized out>, 
    jEnv=0x7f8f39fda8e0, obj=<value optimized out>, script=0x7f8f3ce5d0c0, 
    length=<value optimized out>, principalsArray=0x0, numPrincipals=0, 
    securitySupports=0x0, pjobj=0x7fffacca3da0) at nsCLiveconnect.cpp:597
        cx = 0x0
        js_val = <value optimized out>
        dummy_cost = 0
        saved_state = 0
        principals = 0x3eff246ab4
        eval_succeeded = 0
        js_obj = <value optimized out>
        codebase = 
    0x3eff246ab4 "\361\341\322\021\203`\373\310\253\304\256|pW\005\337HT\322\021\201d"
        jsj_env = 0x0
        handle = <value optimized out>
        dummy_bool = 0
        result = 0x0
        autopush = {mContextStack = {<nsCOMPtr_base> = {mRawPtr = 
    0x3568ee4ac8}, <No data fields>}, mContext = 0x37023e0c, mFrame = {regs = 
    0x0, imacpc = 0x0, slots = 0x7f8f5035aa50, callobj = 0x7fffacca3dbf, 
            argsobj = 0x7fffacca3d90, varobj = 0x0, callee = 0x7fffacca3d90, 
            script = 0x3eff0de0bc, fun = 0x7fffacca3cd8, thisp = 0x1, argc = 
    2898935404, argv = 0x40cb2d, rval = 140252869093448, down = 0x1, 
            annotation = 0x7fffacca3cd0, scopeChain = 0x3eff0dd5b3, 
            blockChain = 0x7fffacca3d90, sharpDepth = 4279097007, 
            sharpArray = 0x7fffacca3d90, flags = 0, dormantNext = 0x0, 
            xmlNamespace = 0x3eff0dd999, displaySave = 0x7f8f33ca1888}, 
          mRegs = {pc = 
    0xb56c96d185cebdc4 <Address 0xb56c96d185cebdc4 out of bounds>, sp = 0x0}, 
          mPushResult = 2898935184}
#7  0x00007f8f3b3eccbc in IcedTeaPluginFactory::Eval (this=0x7f8f37832460)
    at IcedTeaPlugin.cc:4395
        evStr = {<nsCStringContainer> = {<nsACString> = 
    {<No data fields>}, <nsStringContainer_base> = {d1 = 0x7f8f336349b8, d2 = 
    221, d3 = 5}, <No data fields>}, <No data fields>}
        nameString = 0x7f8f3ce5d0c0
        message = {<nsCStringContainer> = {<nsACString> = 
    {<No data fields>}, <nsStringContainer_base> = {d1 = 0x7f8f49937980, d2 = 
    1345694296, d3 = 32655}, <No data fields>}, <No data fields>}
        result = <value optimized out>
        strSize = 221
        liveconnect_member = <value optimized out>
#8  0x00007f8f3b3ecea9 in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (
    this=<value optimized out>) at IcedTeaPlugin.cc:1430
No locals.
#9  0x0000003eff0c5b9b in nsThread::ProcessNextEvent (this=0x7f8f49937980, 
    mayWait=1, result=0x7fffacca3e6c) at nsThread.cpp:521
        notifyGlobalObserver = 1
        obs = {<nsCOMPtr_base> = {mRawPtr = 0x7f8f48b23048}, <No data fields>}
        event = {<nsCOMPtr_base> = {mRawPtr = 
    0x7f8f34880190}, <No data fields>}
        rv = 0
#10 0x0000003eff0993d1 in NS_ProcessNextEvent_P (
    thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:247
        val = 1
#11 0x0000003eff018329 in nsBaseAppShell::Run (this=0x7f8f48b23040)
    at nsBaseAppShell.cpp:170
        thread = 0x7f8f49937980
#12 0x0000003efeedb1e8 in nsAppStartup::Run (this=0x7f8f503fec80)
    at nsAppStartup.cpp:193
        rv = <value optimized out>



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2010-04-05 21:24:21 UTC
*** Bug 579416 has been marked as a duplicate of this bug. ***

Comment 4 Chris Campbell 2010-04-05 21:25:28 UTC
Good backtrace, steps to reproduce listed. Setting keyword and status.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Chris Campbell 2010-04-18 16:48:31 UTC
*** Bug 582700 has been marked as a duplicate of this bug. ***

Comment 6 Joe Klemmer 2010-04-21 19:38:41 UTC

How to reproduce
-----
1. 
2.
3.


Comment
-----
It done blowed up.  No idea why.

Comment 7 Chris Campbell 2010-05-01 03:52:17 UTC
*** Bug 585615 has been marked as a duplicate of this bug. ***

Comment 8 Chris Campbell 2010-05-08 13:23:16 UTC
*** Bug 587939 has been marked as a duplicate of this bug. ***

Comment 9 Chris Campbell 2010-05-08 13:24:04 UTC
*** Bug 588393 has been marked as a duplicate of this bug. ***

Comment 10 Pierre-Yves Luyten 2010-05-10 07:02:39 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Go to keep vid dot com (for personnal use) and request a video
2. Authorize the webpage to run the applet

Comment 11 Martin Stransky 2010-05-10 07:44:43 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=499295

Comment 12 Andrea 2010-05-13 18:35:56 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Changing page while a specific java applet is running. The applet is a home banking site applet for "push" accounts trading.
2.
3.

Comment 13 fsandro 2010-05-13 20:54:14 UTC
Same thing of Andrea happends to me. See

https://bugzilla.redhat.com/show_bug.cgi?id=591629

https://bugzilla.redhat.com/show_bug.cgi?id=588393

Comment 14 Ricardo 2010-05-14 04:04:15 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Not really sure how it haooebed

Comment 15 Martin Stransky 2010-05-19 13:37:49 UTC
A fix added to xulrunner-1.9.1.9-3.fc12.

Comment 16 Bug Zapper 2010-11-03 17:51:22 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2010-12-03 16:19:29 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.